package com.fdar.articles.infoq.conversion;

import java.util.ArrayList;
import java.util.List;

public class BlogService {

    private static List<Blog> blogs = new ArrayList<Blog>();
    private static int nextId = 0;

    public List<Blog> list() {
        return blogs;
    }

    public Blog create(Blog blog) {
        blog.setId(++nextId);
        blogs.add(blog);
        return blog;
    }

    public void update(Blog blog) {
        if( blogs.contains(blog) ) {
            blogs.set(blogs.indexOf(blog),blog);
        } else {
            blogs.add(blog);
        }
    }

    public void delete(int id) {
        blogs.remove(findById(id));
    }

    public Blog findById(int id) {
        for( Blog b: blogs ) {
            if( b.getId()==id ) {
                return b;
            }
        }
        return null;
    }

}
